apply plugin: 'com.android.application'

android {
    compileSdkVersion 22
    buildToolsVersion "22.0.0"

    defaultConfig {
        applicationId "com.beem.project.beem"
        minSdkVersion 6
        targetSdkVersion 22
        versionCode 15
        versionName "0.1.8"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    lintOptions {
        abortOnError true
        textReport true
        disable "MissingTranslation"
        warning "InvalidPackage"
    }

}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    compile project(":third_parties:memorizingtrustmanager")
    compile project(":third_parties:stroke")
    compile project(":third_parties:mmssmiley")
    compile 'com.android.support:support-v4:22.0.0'
    compile 'org.jitsi:org.otr4j:0.22'
}

apply from: "$project.rootDir/tools/android-checkstyle.gradle"
apply from: "$project.rootDir/tools/android-javadoc.gradle"
